#include <stdio.h>

long fakult(n)                     /* Berechnung von n! */
int n;
{
   long i, fak; 

   fak = i = 1;
   while (++i <= n)
        fak = fak * i;
   return(fak); /* Ergebnis an main-Funktion uebergeben */
}

main()              /* Argument ist Ergebnis von fakult */
{
  printf("10! = %d\n", fakult(10));
}
